release: 1.5.0

pull/279/head v1.5.0
David Hewitt 2 months ago
parent b244fe7ef1
commit c6915e02f8
  1. 3
      .bumpversion.cfg
  2. 4
      CHANGELOG.md
  3. 6
      noxfile.py
  4. 2
      setup.cfg
  5. 2
      setuptools_rust/version.py

@ -1,7 +1,8 @@
[bumpversion]
commit = True
tag = False
current_version = 1.4.1
current_version = 1.5.0
message = release: {new_version}
[bumpversion:file:setup.cfg]

@ -1,8 +1,8 @@
# Changelog
## Unreleased
## 1.5.0 (2022-08-09)
### Added
- Add support for extension modules built for wasm32-unknown-emscripten with Pyodide.
- Add support for extension modules built for wasm32-unknown-emscripten with Pyodide. [#244](https://github.com/PyO3/setuptools-rust/pull/244)
### Changed
- Locate cdylib artifacts by handling messages from cargo instead of searching target dir (fixes build on MSYS2). [#267](https://github.com/PyO3/setuptools-rust/pull/267)

@ -113,3 +113,9 @@ def test_examples_emscripten(session: nox.Session):
with session.chdir(emscripten_dir):
session.run("node", "runner.js", str(example), external=True)
@nox.session(name="bump-version")
def bump_version(session: nox.Session) -> None:
session.install("bump2version")
session.run("bumpversion", *session.posargs)

@ -1,6 +1,6 @@
[metadata]
name = setuptools-rust
version = 1.4.1
version = 1.5.0
author = Nikolay Kim
author_email = fafhrd91@gmail.com
license = MIT

@ -1,4 +1,4 @@
__version__ = version = "1.4.1"
__version__ = version = "1.5.0"
__version_tuple__ = version_tuple = tuple(
map(lambda x: int(x[1]) if x[0] < 3 else x[1], enumerate(__version__.split(".")))
)

Loading…
Cancel
Save